local addonName, L = ...;
function ALUF_TargetOfTargetFrame_OnLoad(self)
	
	self.registerUnitWatch = true;
	self:RegisterEvent("ADDON_LOADED");
	ArenaLive_UnitFrame_Initialise(self, addonName, "targetOfTargetFrame", ALUF_TargetofTargetFrameBackground, ALUF_TargetofTargetFrameBorder,ALUF_TargetofTargetFrameName, ALUF_TargetofTargetFramePortrait, ALUF_TargetofTargetFrame3DPortrait, nil, ALUF_TargetofTargetFrameHealthBar, nil, ALUF_TargetofTargetFramePowerBar, nil, nil, nil, nil);
	ArenaLive_UnitFrame_UpdateUnit(self, "targettarget");
	SecureUnitButton_OnLoad(self, "targettarget", nil)
end

function ALUF_TargetOfTargetFrame_OnEvent(self, event, ...)

	if ( event == "ADDON_LOADED" ) then
		ALUF_TargetOfTargetFrame_Toggle(self, "targettarget");
	end

end

function ALUF_TargetOfTargetFrame_Update(self, elapsed)

	if ( self:IsShown() ) then
		ArenaLive_UnitFrame_Update(self);
	end

end



function ALUF_TargetOfTargetFrame_Toggle(self, unit)

	local isEnabled = ARENALIVE_DATABASE[addonName]["frameTypes"][self.frameType]["enabled"];
	
	if ( isEnabled ) then
		ArenaLive_UnitFrame_UpdateUnit(self, unit);
	else
		ArenaLive_UnitFrame_ResetFrame(self);
		self:Hide();
	end

end